#Boa:App:BoaApp
#TunaPie (c)2005-2006 James Stone. Released under the GNU GPL.
#
#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
#
#Written using Boa-Constructor.
#http://boa-constructor.sourceforge.net/
#
#Version 0.0.6 26/9/06

import wxversion
wxversion.select("2.6-gtk2-ansi")
import wx

import TunerFrame1
import os
import sys

modules ={u'TunerFrame1': [1, 'Main frame of Application', u'TunerFrame1.py']}

class MySplashScreen(wx.SplashScreen):
    def __init__(self):
        bmp = wx.Image(os.path.dirname(sys.argv[0])+"/tplogo.jpg", wx.BITMAP_TYPE_JPEG).ConvertToBitmap()     
        wx.SplashScreen.__init__(self, bmp,
                                wx.SPLASH_CENTRE_ON_SCREEN|wx.SPLASH_TIMEOUT,
                                24000, None, -1,
                                style = wx.SIMPLE_BORDER|wx.FRAME_NO_TASKBAR|wx.STAY_ON_TOP) 
        wx.EVT_CLOSE(self, self.OnClose)

    def OnClose(self, evt):
        evt.Skip()  # default handler"""

class BoaApp(wx.App):
    def OnInit(self):
        wx.InitAllImageHandlers()
        splash = MySplashScreen()
        splash.Show()
        frame = TunerFrame1.create(None)
        frame.Show()
        try:
            splash.Close()
        except wx.PyDeadObjectError:
            pass
        return True

def main():
    application = BoaApp(0)
    application.MainLoop()

if __name__ == '__main__':
    main()
